Read file
Serve one file relative to the requested location.
GET
/api/fs/read/*Query parameters
locationobject | anyResponses
200Success
string<binary>400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/fs/read/*"const response = await fetch("/api/fs/read/*", {
method: "GET"
});import requests
response = requests.get(
"/api/fs/read/*",
)Response
"<binary>"{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}